{-# LANGUAGE TypeOperators #-}
module Data.HMemDb.Binary (GS, MS, SP) where
import Control.Compose ((:.))
import Control.Concurrent.STM (STM)
import Control.Monad.Trans.Maybe (MaybeT)
import Data.Binary.Get (Get)
import Data.Binary.Put (PutM)
type MS = MaybeT STM
type GS = Get :. STM
type SP = (STM :. PutM) ()
